## @product/babel-preset

![npm (scoped)](https://img.shields.io/npm/v/@cabify/babel-preset)

Babel preset for Cabify JS and TS projects

### Included presets

- `@babel/preset-env`
- `@babel/preset-react`
- `@babel/preset-typescript`

### Added plugins

- `@babel/plugin-transform-runtime`
- `@babel/plugin-proposal-decorators`
- `@babel/plugin-proposal-class-properties`
- `@babel/plugin-proposal-object-rest-spread`
- `@babel/plugin-syntax-dynamic-import`
- `babel-plugin-add-module-exports`
- `babel-plugin-lodash`

## Publish new version

Just merge to `main` branch and run:

- `git checkout main`
- `git pull`
- `yarn`
- `yarn publish:(major|minor|patch)`
- `git push && git push --tags`

This will trigger a workflow on Github which will publish to npm eventually.

<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->

[![All Contributors](https://img.shields.io/badge/all_contributors-20-orange.svg?style=flat-square)](#contributors-)

<!-- ALL-CONTRIBUTORS-BADGE:END -->

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://github.com/alejandrofdiaz"><img src="https://avatars.githubusercontent.com/u/9197247?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Alejandro</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=alejandrofdiaz" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/YagoQuinoy"><img src="https://avatars.githubusercontent.com/u/2685554?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Yago Quiñoy Lobariñas</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=YagoQuinoy" title="Code">💻</a></td>
    <td align="center"><a href="https://aarongarciah.com/"><img src="https://avatars.githubusercontent.com/u/7225802?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Aarón García Hervás</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=aarongarciah" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/alexgallardo"><img src="https://avatars.githubusercontent.com/u/7766614?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Alejandro Gallardo Escobar</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=alexgallardo" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/cicloon"><img src="https://avatars.githubusercontent.com/u/818328?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Alejandro León</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=cicloon" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/AlexTemina"><img src="https://avatars.githubusercontent.com/u/14157093?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Alex Temina</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=AlexTemina" title="Code">💻</a></td>
    <td align="center"><a href="http://www.ari.soy/"><img src="https://avatars.githubusercontent.com/u/29388744?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Arian Zargaran</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=ArianZargaran" title="Code">💻</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/carloscasalar"><img src="https://avatars.githubusercontent.com/u/6154549?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Carlos Castillo</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=carloscasalar" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/christiandebarrio"><img src="https://avatars.githubusercontent.com/u/13832650?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Christian</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=christiandebarrio" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/Crismmgg"><img src="https://avatars.githubusercontent.com/u/56558107?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Crismmgg</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=Crismmgg" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/d-asensio"><img src="https://avatars.githubusercontent.com/u/13970905?v=4?s=100" width="100px;" alt=""/><br /><sub><b>David Asensio Cañas</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=d-asensio" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/inspiratweb"><img src="https://avatars.githubusercontent.com/u/6814061?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Francisco Sánchez</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=inspiratweb" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/jalopez"><img src="https://avatars.githubusercontent.com/u/259623?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Javier López</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=jalopez" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/jmmerino"><img src="https://avatars.githubusercontent.com/u/1152640?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Jesús Merino Parra</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=jmmerino" title="Code">💻</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://leireriel.github.io/leire-rico-portfolio/#/"><img src="https://avatars.githubusercontent.com/u/48056077?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Leire Rico</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=leireriel" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/riboher"><img src="https://avatars.githubusercontent.com/u/11684090?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Ricardo Boluda</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=riboher" title="Code">💻</a></td>
    <td align="center"><a href="http://www.siete3.com/"><img src="https://avatars.githubusercontent.com/u/2030605?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Rodrigo</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=area73" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/humanrender"><img src="https://avatars.githubusercontent.com/u/161557?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Sergio Ramirez</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=humanrender" title="Code">💻</a></td>
    <td align="center"><a href="https://valya.codes/"><img src="https://avatars.githubusercontent.com/u/7880641?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Valentin Berlin</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=valenber" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/alejandromolero"><img src="https://avatars.githubusercontent.com/u/5390467?v=4?s=100" width="100px;" alt=""/><br /><sub><b>alejandromolero</b></sub></a><br /><a href="https://github.com/cabify/babel-preset/commits?author=alejandromolero" title="Code">💻</a></td>
  </tr>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!
